/*
 * $Header: /home/jerenkrantz/tmp/commons/commons-convert/cvs/home/cvs/jakarta-commons//resources/src/test/org/apache/commons/resources/impl/PropertyResourcesTestCase.java,v 1.7 2004/03/27 21:34:09 dgraham Exp $
 * $Revision: 155432 $
 * $Date: 2005-02-26 08:15:50 -0500 (Sat, 26 Feb 2005) $
 *
 * ====================================================================
 *
 *  Copyright 2003-2004 The Apache Software Foundation
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package org.apache.commons.resources.impl;

import java.net.URL;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * <p>Unit tests for
 * <code>org.apache.commons.resources.impl.PropertyResources</code>.
 * </p>
 */
public class PropertyResourcesTestCase
    extends CollectionResourcesBaseTestCase {


    // ----------------------------------------------------- Instance Variables



    protected String getBase() throws Exception
    {
        URL url = 
            PropertyResourcesTestCase.class.getResource
            ("/org/apache/commons/resources/impl/TestResources.properties");
    
        if (url == null) {
            fail("URL NOT FOUND");
        }
        String string = url.toExternalForm();
        String base = string.substring(0, string.length() - 11);
        return base;
    }

    // ----------------------------------------------------------- Constructors


    public PropertyResourcesTestCase(String name) {
        super(name);
    }


    // --------------------------------------------------- Overall Test Methods


    // Set up instance variables required by this test case
    public void setUp() throws Exception {
        factory = new PropertyResourcesFactory();
        resources = factory.getResources(NAME, getBase());
    }

    // Return the tests included in this test suite
    public static Test suite() {
        return (new TestSuite(PropertyResourcesTestCase.class));
    }

    // Tear down the instance variables required by this test case
    public void tearDown() {
        resources = null;
        factory = null;
    }


    // ------------------------------------------------ Individual Test Methods


    // ------------------------------------------------------ Protected Methods


}
