/*
 * $Header: /home/jerenkrantz/tmp/commons/commons-convert/cvs/home/cvs/jakarta-commons//resources/src/test/org/apache/commons/resources/impl/ResourceBundleResourcesFactoryTestCase.java,v 1.6 2004/03/27 21:34:09 dgraham Exp $
 * $Revision: 155432 $
 * $Date: 2005-02-26 08:15:50 -0500 (Sat, 26 Feb 2005) $
 *
 * ====================================================================
 *
 *  Copyright 2003-2004 The Apache Software Foundation
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package org.apache.commons.resources.impl;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.apache.commons.resources.ResourcesFactory;

/**
 * <p>Unit tests for
 * <code>org.apache.commons.resources.impl.ResourceBundleResourcesFactory</code>.
 * </p>
 */
public class ResourceBundleResourcesFactoryTestCase extends TestCase {


    // ----------------------------------------------------- Instance Variables


    // Configuration value for our resource bundles
    protected static final String CONFIG = "org.apache.commons.resources.impl.TestResources";

    // Logical name of the Resources instance to be created
    protected static final String NAME = "name";


    // The <code>ResourcesFactory</code> instance to be tested.
    protected ResourcesFactory factory = null;


    // ----------------------------------------------------------- Constructors


    public ResourceBundleResourcesFactoryTestCase(String name) {
        super(name);
    }


    // --------------------------------------------------- Overall Test Methods


    // Set up instance variables required by this test case
    public void setUp() throws Exception {
        factory = new ResourceBundleResourcesFactory();
    }

    // Return the tests included in this test suite
    public static Test suite() {
        return (new TestSuite(ResourceBundleResourcesFactoryTestCase.class));
    }

    // Tear down the instance variables required by this test case
    public void tearDown() {
        factory = null;
    }


    // ------------------------------------------------ Individual Test Methods


    // Test the characteristics of a newly created instance
    public void testPristine() {
        assertNotNull(factory);
    }


}
