/*
 * $Header: /home/jerenkrantz/tmp/commons/commons-convert/cvs/home/cvs/jakarta-commons//resources/src/test/org/apache/commons/resources/impl/XMLResourcesTestCase.java,v 1.7 2004/03/27 21:34:09 dgraham Exp $
 * $Revision: 155432 $
 * $Date: 2005-02-26 08:15:50 -0500 (Sat, 26 Feb 2005) $
 *
 * ====================================================================
 *
 *  Copyright 2003-2004 The Apache Software Foundation
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package org.apache.commons.resources.impl;

import java.net.URL;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * <p>Unit tests for
 * <code>org.apache.commons.resources.impl.XMLResources</code>.
 * </p>
 */
public class XMLResourcesTestCase extends CollectionResourcesBaseTestCase {

    public XMLResourcesTestCase(String name) {
        super(name);
    }

    // Set up instance variables required by this test case
    public void setUp() throws Exception {
        factory = new XMLResourcesFactory();
        resources = factory.getResources(NAME, getBase());
    }

    // Return the tests included in this test suite
    public static Test suite() {
        return (new TestSuite(XMLResourcesTestCase.class));
    }

    // Tear down the instance variables required by this test case
    public void tearDown() {
        resources = null;
        factory = null;
    }
    
    protected String getBase() throws Exception{
        URL url =
            XMLResourcesTestCase.class.getResource
            ("/org/apache/commons/resources/impl/TestResources.properties");
        if (url == null) {
            fail("URL NOT FOUND");
        }
        String string = url.toExternalForm();
        return string.substring(0, string.length() - 11);
    }


    // ------------------------------------------------ Individual Test Methods


    // ------------------------------------------------------ Protected Methods


}
